org.hibernate.validator.ap.util

## Enum ConstraintHelper.AnnotationType

- java.lang.Object
- - java.lang.Enum<ConstraintHelper.AnnotationType>
  - - org.hibernate.validator.ap.util.ConstraintHelper.AnnotationType

- All Implemented Interfaces:
    Serializable, Comparable<ConstraintHelper.AnnotationType>
  Enclosing class:
    ConstraintHelper

      public static enum ConstraintHelper.AnnotationType
      extends Enum<ConstraintHelper.AnnotationType>

  The type of an annotation with respect to the BV API.
  Author:
    Gunnar Morling, Kevin Pollet (C) 2011 SERLI

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONSTRAINT_ANNOTATION` Given annotation is a constraint annotation (e.g.
    `CONSTRAINT_META_ANNOTATION` Given annotation is the @Constraint meta-annotation.
    `GRAPH_VALIDATION_ANNOTATION` Given annotation is the `@Valid` annotation.
    `GROUP_SEQUENCE_PROVIDER_ANNOTATION` Given annotation is the @GroupSequenceProvider annotation.
    `MULTI_VALUED_CONSTRAINT_ANNOTATION` Given annotation is a multi-valued annotation (e.g.
    `NO_CONSTRAINT_ANNOTATION` Given annotation is not related to the BV API (e.g.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConstraintHelper.AnnotationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConstraintHelper.AnnotationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONSTRAINT_ANNOTATION

          public static final ConstraintHelper.AnnotationType CONSTRAINT_ANNOTATION

      Given annotation is a constraint annotation (e.g. @Min).

    - #### MULTI_VALUED_CONSTRAINT_ANNOTATION

          public static final ConstraintHelper.AnnotationType MULTI_VALUED_CONSTRAINT_ANNOTATION

      Given annotation is a multi-valued annotation (e.g. `@List({ @Min(10), @Min(value=20, groups= Special.class}) })` .

    - #### GRAPH_VALIDATION_ANNOTATION

          public static final ConstraintHelper.AnnotationType GRAPH_VALIDATION_ANNOTATION

      Given annotation is the `@Valid` annotation.

    - #### CONSTRAINT_META_ANNOTATION

          public static final ConstraintHelper.AnnotationType CONSTRAINT_META_ANNOTATION

      Given annotation is the @Constraint meta-annotation.

    - #### GROUP_SEQUENCE_PROVIDER_ANNOTATION

          public static final ConstraintHelper.AnnotationType GROUP_SEQUENCE_PROVIDER_ANNOTATION

      Given annotation is the @GroupSequenceProvider annotation.

    - #### NO_CONSTRAINT_ANNOTATION

          public static final ConstraintHelper.AnnotationType NO_CONSTRAINT_ANNOTATION

      Given annotation is not related to the BV API (e.g. @Resource).

  - ### Method Detail

    - #### values

          public static ConstraintHelper.AnnotationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConstraintHelper.AnnotationType c : ConstraintHelper.AnnotationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConstraintHelper.AnnotationType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved